using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("充电桩固件表")]
    public partial class T_OP_FILE_FIRMWARE : MesEntityBase
    {
        [Description("固件名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string FIRMWARE_NAME { get; set; }

        [Description("固件类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string FIRMWARE_TYPE { get; set; }

        [Description("固件数据")]
        [FormFieldTable]
        [FormFieldEdit]
        public byte[] FIRMWARE_DATA { get; set; }

        [Description("固件路径")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string FIRMWARE_PATH { get; set; }

        [Description("固件版本")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(20)]
        public string FIRMWARE_VERSION { get; set; }

        [Description("固件内容")]
        [FormFieldTable]
        [FormFieldEdit]
        public string FIRMWARE_CONTENT { get; set; }

        [Description("启用日期")]
        [FormFieldTable]
        [FormFieldEdit]
        public DateTime? START_TIME { get; set; }
    }
}
